/api/v1/agents/{agentId}/mcps
const url = 'https://api.endless.zaia.app/api/v1/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/mcps';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"mcp":{"connectionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","description":"example","detail":{"tools":["example"],"type":"composio-airtable"},"name":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/mcps \ --header 'Content-Type: application/json' \ --data '{ "mcp": { "connectionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "detail": { "tools": [ "example" ], "type": "composio-airtable" }, "name": "example" } }'Creates a new MCP or attaches an existing one to an agent.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
object
The id of the connection the MCP will be used through.
The internal description of the MCP.
object
The display name of the MCP.
object
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”The MCP was created or linked to the agent.
object
The id of the agent to link the MCP to.
The id of the MCP to link to the agent.
object
A UUID v4 string that identifies an entity.
The ID of the original entity in production.
A UUID v4 string that identifies an entity.
The id of the connection the MCP will be used through.
The internal description of the MCP.
object
The display name of the MCP.
The workspace ID that owns the MCP.
Example
{ "mcp": { "detail": { "type": "composio-airtable" } }}Connection type is not compatible with MCP type.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}The agent, MCP, or connection was not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}MCP is already associated with this agent.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}